Skip to main content
GET
/
collateral_management
/
price_sources
Get available assets for specific price sources
curl --request GET \
  --url https://api.anchorage-staging.com/v2/collateral_management/price_sources \
  --header 'Api-Access-Key: <api-key>'
{
  "priceSources": [
    {
      "assets": [
        "<string>"
      ],
      "strategies": []
    }
  ]
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

exchange
enum<string>

Optional filter to return data for a specific exchange only. This field specifies the source from which the price information is derived

Available options:
COINBASEPRO,
KRAKEN,
KAMINO,
BINANCE

Response

Price sources with their available assets

Response containing price sources and their available trading pairs

priceSources
object[]
required

List of price sources (exchanges) with their available assets